| Home | Libraries | People | FAQ | More

## Struct template listN

boost::proto::listN — `proto::list1<>`, `proto::list2<>`, etc., are type sequences for use as the 2nd parameter to the `proto::expr<>` or `proto::basic_expr<>` class templates.

## Synopsis

    // In header: <boost/proto/args.hpp>

    template<typename... Arg>
    struct listN {
      // types
      typedef ArgM childM;  // For each M in [0,N)
      static const long arity;  // = N;
    };

## Description

Type sequences, for use as the 2nd parameter to the `proto::expr<>` or `proto::basic_expr<>` class template. The types in the sequence correspond to the children of a node in an expression tree. There is no type literally named "`listN`"; rather, there is a set of types named `proto::list1<>`, `proto::list2<>`, etc.